﻿<%@ Page Language="C#" Theme="Samples" AutoEventWireup="true" CodeFile="WebForm4.aspx.cs" Inherits="Samples_Prompt_WebForm4" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Sample 4 - Prompt Client-Side Scripting Support</title>

<script type="text/javascript">
    function setPromptProperties()
    {
        var title = $get('promptTitle').value;
        var message = $get('promptMessage').value;
        
        var prompt = $find('prompt1');
        prompt.beginUpdate();
        prompt.set_title(title);
        prompt.set_message(message);
        prompt.endUpdate();
        
        prompt.show();
    }
</script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager id="sm1" runat="server" />
    <div>
        <h2>
            Prompt Client-Side Scripting Support</h2>
        <p>
            This sample demonstrates the client-side support built into the prompt control.</p>
        <div>
            <div>
                <asp:Label ID="lblPromptTitle" Text="Title:" runat="server" />
                <asp:TextBox ID="promptTitle" Text="Some Title" runat="server" /></div>
            <div>
                <asp:Label ID="lblPromptMessage" Text="Message:" runat="server" />
                <asp:TextBox ID="promptMessage" Text="Some Message" TextMode="MultiLine" Rows="6" Columns="50" runat="server" />
            </div>
            <input id="setButton" type="button" value="Set Properties" onclick="setPromptProperties();" />
        </div>
        <ae:Prompt ID="prompt1" Title="Sample 4" Message="I am sample 4." ButtonOptions="Ok"
            runat="server" />
    </div>
    </form>
</body>
</html>
