﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI;

namespace AfterEdge.Web.UI
{
    public class PromptClientEvents : ClientEvents
    {
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public ClientEvent Show
        {
            get { return base.GetValue("show"); }
            set { base.SetValue("show", value); }
        }

        [PersistenceMode(PersistenceMode.InnerProperty)]
        public ClientEvent Hide
        {
            get { return base.GetValue("hide"); }
            set { base.SetValue("hide", value); }
        }

        [PersistenceMode(PersistenceMode.InnerProperty)]
        public ClientEvent ButtonSelect
        {
            get { return base.GetValue("buttonSelect"); }
            set { base.SetValue("buttonSelect", value); }
        }

        [PersistenceMode(PersistenceMode.InnerProperty)]
        public ClientEvent CallBack
        {
            get { return base.GetValue("callback"); }
            set { base.SetValue("callback", value); }
        }
    }
}
