﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AfterEdge.Web.UI
{
    /// <summary>
    /// Represents pre-defined button configurations for use within the Prompt control.
    /// </summary>
    public enum ButtonOptions
    {
        Custom = 0,
        Ok,
        OkCancel,
        YesNo
    }

    /// <summary>
    /// Specifies the target of the page postback.
    /// </summary>
    public enum PostBackTarget
    {
        Prompt = 0,
        Trigger
    }

    public enum TriggerControlType
    {
        HtmlControl = 0,
        WebControl,
        PageControl
    }
}
